<%-- 
    Document   : adjuntar
    Created on : 11/11/2015, 03:19:35 PM
    Author     : fcelestino
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html> 
<head> 
<title>ARCHIVO(S)</title> 
</head> 
<script> 

contador=0; 
function agregarArchivo(objInputFile, objDiv) 
{ 
casillaVerif=document.createElement("input"); 
casillaVerif.setAttribute("id","id"+contador); 
casillaVerif.setAttribute("type","checkbox"); 
casillaVerif.setAttribute("title","Archivo originario de : '"+document.getElementById(objInputFile.id).value +"'."); 
casillaVerif.setAttribute("value",document.getElementById(objInputFile.id).value); 
casillaVerif.setAttribute("name","archivo"+contador); 

document.getElementById(objDiv.id).appendChild(casillaVerif); 
document.getElementById(objDiv.id).lastChild.checked=true; 
document.getElementById(objDiv.id).lastChild.setAttribute("onclick","borrarArchivo(this,this.parentNode);"); 

etiqueta=document.createElement("label"); 
etiqueta.setAttribute("id","idlabel"+contador); 
etiqueta.setAttribute("for","id"+contador); 
etiqueta.setAttribute("title",casillaVerif.getAttribute("title")); 

var doc=document.form.a.value; 
if (doc != '') 
{	
var doc1 = doc.substring(doc.lastIndexOf('\\')) 
} 

var doc2 = doc1.substring(1) 


etiqueta.innerHTML=doc2; 
document.getElementById(objDiv.id).appendChild(etiqueta); 
etiqueta=document.createElement("br"); 
document.getElementById(objDiv.id).appendChild(etiqueta); 
contador++; 

document.form.contador.value=contador;	
document.form.a.value=""; 

} 
</script> 
<BODY> 
<form name="form" id="formulario" method="post" action="adjuntarDocumento.jsp" enctype="multipart/form-data"> 
<br/> 
<input type="file" name="a" id="archivo"> 
<input name="button" type="button" id="button" onClick="agregarArchivo(document.getElementById('archivo'),document.getElementById('objeto'));" value="Adjuntar archivo"/> 
<input type="hidden" name="contador"> 
<hr/> 
<input type="submit" name="enviar" value="Enviar"> 
<div id="objeto"> 

</div> 
</form> 
</BODY> 
</html>